
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Teleport Ultra/Teleport Pro的冗余代码批量清理方法 / 憋错料</title>

    <meta name="description" content="Teleport Ultra/Teleport Pro的冗余代码批量清理方法 Teleport Pro 是款优秀的网站离线浏览工具(即网站整站下载工具),Teleport Ultra是其增强版,但使用此系列软件下载的离线网页里会包含大量冗余代码(如tppabs),手动去修改工作量很大,下面介绍如何通过软件进行正则表达式批量替换冗余代码(推荐DreamWeaver的正则替换功能). 清除tppabs标签: html文件中: 查找:\btppabs=&quot;h[^&quot;]*&quot; 替换:(空) css文件中的图片链接(以gif图片为例): 查找:tpa=htt ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Teleport Ultra/Teleport Pro的冗余代码批量清理方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>Teleport Pro 是款优秀的网站离线浏览工具（即网站整站下载工具），Teleport Ultra是其增强版，但使用此系列软件下载的离线网页里会包含大量冗余代码（如tppabs），手动去修改工作量很大，下面介绍如何通过软件进行正则表达式批量替换冗余代码（推荐DreamWeaver的正则替换功能）。</p>
<p>清除tppabs标签：</p>
<p>html文件中：</p>
<p>查找：\btppabs="h[^"]*"</p>
<p>替换：（空）</p>
<p>css文件中的图片链接（以gif图片为例）：</p>
<p>查找：tpa=http://[^\s]*.gif</p>
<p>替换：（空）</p>
<p>css文件中的注释：</p>
<p>查找：/\*tpa.*?\*/</p>
<p>替换：（空）</p>
<p>修复confirm链接：</p>
<p>查找：href=" *javascript:if\(confirm\(‘(htt[^"\s]*).*?"</p>
<p>替换：href="$1"</p>
<p>冗余代码示例：href="javascript:if(confirm(‘http://www.xxxxx.com/ \n\n该文件无法用 Teleport Ultra 下载, 因为 不可用, 或放弃了下载, 或项目即将停止。 \n\n你想在服务器上打开它?‘))window.location=‘http://www.xxxx.com/‘"</p>
<p>示例替换后结果：href=http://www.xxxx.com/</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 07:58:04 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Teleport Ultra/Teleport Pro的冗余代码批量清理方法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6pa8W3.html" rel="bookmark">批量去除Teleport Pro整站下载文件冗余代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				teleport pro tppabs标签批量删除 teleport pro tppabs标签批量删除 使 用Teleport Pro下载的网页代码中包含了很多垃圾代码,比如下载的html网页代码中会出现tppabs标签,而且还会将所有的href标签中加入了很多垃圾代码, 在css会加入了tpa标签,这些都是冗余代码,可以将其全部删除,但是由于代码太多,我们不可能一个个删除,因此可以使用Dreamweaver的查找 /替换工具中的正则表达式来进行替换.1.替换tppabs标签,使用Dreamwe			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jaAneM.html" rel="bookmark">用Teleport Ultra下载网站全部页面</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				测试case,就是把Commons-FileUpload 的API下载来 上网查的时候我才发现这是一个由很多页面组成的网站,下载起来很麻烦. 怎么办呢?呵呵,一定是有办法的.Teleport Ultra这个工具就能帮我们搞定! 这是一个汉化绿版的迅雷下载链接:thunder://QUFodHRwOi8vMS5jcWR4MS5jcnNreS5jb20vMjAwOTAzL1RlbGVwb3J0VWx0cmEtdjEuNTlILnppcFpa 大小只有759K. 下载完成后解压缩,直接运行ultra.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDg1o94.html" rel="bookmark">快速克隆网站利器-teleport ultra</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				快速克隆网站利器-teleport ultra 一.下载 二.操作步骤 第一步:打开这个软件 第二步点击file.下拉选择 New Project Wizred,弹出如下下拉框 这里我们使用第一个或者第二个都可以,都能够拉取静态资源,第一个下载的内容会直接将所有文件放入一个文件夹中,第二个会自动创建对应的目录,我们选择第一个 第三步 输入链接 下面数字是用来填写最多循环几层链接: 第四步:选择everything 点击下一步 下面是可以输入账号和密码:但测试后发现没有效果,每个网站的传递参数不一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Q0xVGD4.html" rel="bookmark">使用APT减少MVP的冗余代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 不知道从何时起,移动端开发都开始采用MVP.我们在认识到MVP有点的时候,也不妨会察觉到它其实也有很多恼人的地方,比如,我们针对每种状态渲染不同的视图: private void renderInit() { mViewA.setVisibility(View.VISIBLE); mViewB.setVisibility(View.GONE); mViewC.setVisibility(View.GONE); mViewD.setVisibility(View.GONE); mViewE.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NxbOo0.html" rel="bookmark">word表格转html后去除冗余代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				word可以另存为html文件,通过这个功能,可以快速实现网页展示word内容,特别是表格的编辑,它包含tr.td.th.rowspan.colspan等内容,直接写比较繁琐. 但word转换过来的html默认是带有很多格式代码,那么如何去除这些冗余代码,只保留主内容呢? 本来是打算从网上找工具的,但发现没有现成的,一般都是推荐用工具的文本替换来去除,这样不能复用.因此,本人采用nodejs写了一小段代码,来去除冗余代码. 主要思路是: nodejs读取html文件的文本内容 用substrin			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wNk6j0.html" rel="bookmark">&lbrack;转&rsqb;最全的用正则批量去除Teleport Pro整站下载文件冗余代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文地址:http://www.jb51.net/article/43650.htm html原文件中tppabs标记是Teleport Pro软件留下的标记.该软件是离线浏览器,下载完整个网页后,它会在图片或超级链接标签内插入tppabs标签,以记录该图片或超级链接指向的原始地址.因为这个标签不是合法标签,所以普通浏览器会忽略它.但可以通过element.getAttribute(&quot;tppabs&quot;)在JS中读取这个属性. 如我们手动清除的话,那将是一个无法估计的工作量,需要批量清除.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3O2aB70.html" rel="bookmark">去掉tppabs冗余代码，怎样批量去掉tppabs代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				刚用teleport pro拉了一个整站到本地 所有的超链都被强行加了一句tppabs=&quot; 就玩了一把dw的替换功能 查找范围:整个当前本地站点 搜索:源代码 查找:\btppabs=&quot;h[^&quot;]*&quot; 替换:(为空) 勾选:使用正则表达式 点替换全部按钮 OK~~搞定-- 另:附dw正则表达式表 字符 匹配 示例 ^ 输入或行的起始部分. ^T 匹配“This good earth”中的“T”,但不匹配“Uncle Tom's Cabin”中的“T”. $ 输入或行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0e7XNZ4.html" rel="bookmark">批量去掉tppabs冗余代码方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天接了一个这样的代码修改活,网页中的图片有的浏览器不显示,我看了下每个本地图片路径后面都加着tppabs= 这个代码有的浏览器认有的不认 因为是下载别人的网页才会出现这样 大部分浏览器会忽略 但也有的浏览器会认 导致不兼容 专业点的设计网站肯定要去掉这些代码的 下面告诉大家去除方法 工具:Dreamweaver. 查找 tppabs=&quot;h[^&quot;]*&quot; 替换为空 这样就批量替换完了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qxVpN0.html" rel="bookmark">DW快速去除tppabs冗余代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于刚刚开始学习网站建设的朋友来说,网页的设计与布局也是一个困难的过程.那么大家可能都有这样的想法:我看到一个不错的网站,我可不可以用它的网页呢?答案当然是可以的.但是这种方法仅供学习,切勿用于商业用途(侵犯原作者的劳动成果,你懂的).这里涉及到两个软件,一个是teleport pro.而另一个当然就是DW(全称:dreamweaver)了.关于teleport pro,这是一个非常好用的整站下载软件,我一直都在用这个!使用过的朋友都知道下载完后所有的超链都被强行加了一句tppabs=&quot;...&			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YgYEa4.html" rel="bookmark" class="title">USB2&period;0学习笔记连载（三）：通用USB驱动程序解析</a>
					<div>
						对于USB驱动的开发,读者可以使用Windows DDK.DriverStudio等多种开发工具来实现USB的驱动,但是驱动程序的开发过程都比较复杂,而且很容易致使USB主机内存泄露而死机.那么对于笔 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aA1ER0.html" rel="bookmark" class="title">软件测试培训</a>
					<div>
						软件测试需要培训多少钱? 来北京德润教育学习软件测试,其实也算是机缘巧合吧!在来之前,没有接触过任何关于软件测试的介绍,抱着试一试的态度,想着是培训俩个月时间会过的很快的,而最根本的原因还是说现在的生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4p5gdyM.html" rel="bookmark" class="title">二叉搜索树的后序遍历序列-剑指Offer</a>
					<div>
						二叉搜索树的后序遍历序列 题目描述 输入一个整数数组,判断该数组是不是某二叉搜索树的后序遍历的结果.如果是则输出Yes,否则输出No.假设输入的数组的任意两个数字都互不相同. 思路 后序遍历:左--& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47mjyo0.html" rel="bookmark" class="title">cisco之VLAN的配置</a>
					<div>
						一 VLAN(虚拟局域网)配置 创建VLAN: J2(config)#vlan 100 J2(config-vlan)#name vlan100 J2(config-vlan)#vlan 99 J2( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3v5vYX0.html" rel="bookmark" class="title">vim列编辑</a>
					<div>
						命令模式下:ctrl + v(我在gvim,win7中是ctrl +shift + q)进入列编辑模,选中要编辑的行(j 上,k下) 输入 “I” (大写的 I,光标定位到选中的第一行),输入要编辑的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rZzXw3.html" rel="bookmark" class="title">鸡兔同笼问题</a>
					<div>
						1．鸡兔同笼,共有30个头,88只脚.求笼中鸡兔各有多少只? 2．鸡兔同笼,共有头48个,脚132只,求鸡和兔各有多少只? 3．一个饲养组一共养鸡.兔78只,共有200只脚,求饲养组养鸡和兔各多少只? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4786qkM.html" rel="bookmark" class="title">&lbrack;BC冠军赛&lpar;online&rpar;&rsqb;小结</a>
					<div>
						A Movie 题意:给你n个区间,判断能否选出3个不相交的区间. 思路:令f(i)表示能否选出两个不相交区间并且以区间i为右区间的值,g(i)表示能否选出两个不相交区间并且以区间i为左区间的值,如果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OZmAo0.html" rel="bookmark" class="title">jquery操作checkbox，诡异</a>
					<div>
						今天这样写了一个全选和取消全选的功能: 全选:$(&quot;:checkbox&quot;).attr(&quot;checked&quot;,&quot;checked&quot;); 取消全选: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MER2Qy0.html" rel="bookmark" class="title">python 批量重命名文件后缀</a>
					<div>
						# batch_file_rename.py # Created: 6th August 2012 ''' This will batch rename a group of files in a g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmYxNPM.html" rel="bookmark" class="title">VMware VirtualCenter Servere服务不能启动</a>
					<div>
						现象:VMware VirtualCenter Servere服务不能启动 解决办法: 1.进入%programdata%\VMware\VMwareVirtualCenter\Logs目录下面 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38oLKZ0.html" rel="bookmark" class="title">为什么不建议将 font-size 设置为 12px 以下？如果一定要设置为 12px 以下要怎么做？</a>
					<div>
						问题:为什么不建议将 font-size 设置为 12px 以下?如果一定要设置为 12px 以下要怎么做? 先看看把 font-size 设置为 12px 以下时的效果:(浏览器为 Chrome 5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZpbmgM.html" rel="bookmark" class="title">判断输入的字符串是否为 纯数字 还是 纯字母</a>
					<div>
						汇总: NSScanner: NSScanner是一个类,用于在字符串中扫描指定的字符,尤其是把它们翻译/转换为数字和别的字符串.可以在创建NSScaner时指定它的string属性,然后scanne ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVvbjdM.html" rel="bookmark" class="title">HTML 事件&lpar;二&rpar; 事件的注册与注销</a>
					<div>
						本篇主要介绍HTML元素事件的注册.注销的方式. 其他事件文章 1. HTML 事件(一) 事件的介绍 2. HTML 事件(二) 事件的注册与注销 3. HTML 事件(三) 事件流[未发布] 4. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rBjd13.html" rel="bookmark" class="title">css元素垂直居中</a>
					<div>
						一.css元素垂直居中初始状态 &lt;!DOCTYPE html&gt;&lt;html lang=&quot;en&quot;&gt;&lt;head&gt; &lt;meta charset=& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47eVY90.html" rel="bookmark" class="title">wordpress调用文件</a>
					<div>
						头部header.php调用css样式, 1 &lt;link rel=&quot;stylesheet&quot; href=&quot;&lt;?php bloginfo('template_ur ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXlKVwM.html" rel="bookmark" class="title">Unity3D 任务系统设计</a>
					<div>
						参考 : “海游移动” 博客 http://jxwgame.blog.51cto.com/943299/1602630 先考虑需求 在任何时候,我需要能够通过new创建一个任务(完成事件,获得奖励), ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXZveV3.html" rel="bookmark" class="title">移动端 - 随笔记</a>
					<div>
						1 &lt;link rel=&quot;stylesheet&quot; media=&quot;screen and (min-device-width : 320px) and (max-dev ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzkYdJ0.html" rel="bookmark" class="title">动态参数与静态参数的判断、修改</a>
					<div>
						视图 v$parameter 中 ISSYS_MODIFIABLE 列能够查看参数属性,ISSYS_MODIFIABLE ='IMMEDIATE'为动态参数. ISSYS_MODIFIABLE ='F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzkV5l0.html" rel="bookmark" class="title">第四周 8&period;1 --- 8&period;7</a>
					<div>
						... 8.1 忘记在干嘛了..好像补了弱鸡赢第一场的题 8.2 不会做多校..水题也不会..什么都不会 8.3 补多校,做了个弱鸡赢,还没补 8.4 依然是什么都不会的多校 好菜..... 8.5  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qOl8PM.html" rel="bookmark" class="title">JAVA 字节流和字符流度读写的区别</a>
					<div>
						java处理文件的类里面,stream结尾都是采用字节流,reader和writer结尾都是采用字符流.两者的区别就是读写的时候一个是按字节读写,一个是按字符. 字符流的底层就是字节流.而字符流主要是 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
